package com.iamberry.app.face;

import java.util.List;

import com.iamberry.app.core.entity.Machine;

/**
 * MachineService
 *
 * @author Moon Cheng
 * @date 2016年3月23日 下午12:27:32
 */

public interface MachineService {

	/**
	 * setMachine
	 *
	 * @author Moon Cheng
	 * @param machine
	 * @param token
	 * @return Machine Information
	 */
	public Machine setMachine(Machine machine, String token, String ip) ;

	/**
	 * 根据机器id 修改个人机器状态，创建时间改为当前时间
	 * @param status,
	 *            id
	 */
	public int updateMachineStatus(Long machineId, String status, String token);

	/**
	 *	根据id 修改一台机器的位置信息
	 * @param machineId
	 * @param location
	 * @param token
	 */
	public int updateMachineLocation(Long machineId, String location, String token) ;

	/**
	 * 	按用户，查询所有机器
	 *
	 * @author Moon Cheng
	 * @param owner
	 * @param token
	 * @return
	 */
	public List<Machine> searchMachineByOwner(Long owner, String token) ;
	/**
	 * 	根据id 查询一台机器
	 *
	 * @param machineId
	 * @param token
	 * @return
	 */
	public Machine searchMachineById(Long machineId, String token);

	/**
	 * 根据机器码 修改个人机器状态
	 *
	 * @param status
	 */
	public void updateStatus(String status) ;
	

	/**
	 * 根据机器的ID，查询最近的一个用户ID
	 * @param devId
	 * @return
	 */
	public Long selectUserIDByDevId(String devId);
}
